<template>
  <section>
    <v-card>
      <v-card-title
        class="headline font-weight-regular red lighten-1 white--text"
      >What have you done</v-card-title>
      <v-card-text>
        <v-subheader class="pa-0">What have you done?</v-subheader>
        <v-container grid-xs>
          <br><br><br><br>
          <hr width="75%">
          <v-layout row wrap>
            <v-flex v-for="item in todos" :key="item.id">
              <v-chip @click="removeChild(item.id)" color="red">
                <v-icon dark>remove_circle</v-icon>
                &nbsp;
                {{item.title}}
              </v-chip>
            </v-flex>
          </v-layout>
          <hr width="75%">
        </v-container>
      </v-card-text>
    </v-card>
  </section>
</template>

<script>
export default {
  props: {
    todos: Array
  },
  methods: {
    removeChild(id) {
      this.$emit("remove-parent", {
        id: id
      });
    }
  }
};
</script>

<style>
</style>
